#ifndef EVENT_HH
#define EVENT_HH

// #include "Rtypes.h"
#include "TFile.h"
#include "TTree.h"
#include "TVector3.h"

class Event {
public:
  Event(bool dummyArg) { theInstance = this; }
  Event() {} // ctor for object I/O
  virtual ~Event() {}
  void SetEventNo(int evn_);
  void SetPID(Int_t pid_) { pid = pid_; }
  void SetVoxelID(Int_t xid_, Int_t yid_, Int_t zid_);
  void SetPos(Float_t x, Float_t y, Float_t z);
  void SetEDep(Float_t edep_) { edep = edep_; }
  static Event *GetInstance() { return theInstance; }

private:
  int evn;
  Int_t pid;
  Float_t edep;
  Int_t xid, yid, zid;
  TVector3 pos;
  static Event *theInstance; //!
  
  ClassDef(Event,1); // Event Class
};

inline void FillTree(const char *name)
{
  if (TTree *t = dynamic_cast<TTree *> (gFile->Get(name)))
    t->Fill();
}

#endif
